Subject: bug#12579: 24.1; Emacs 24.1 / 24.2 (daily) crashes

From: "Fabrice Niessen" <[email-masked]>
Date: Tue, 09 Oct 2012 23:43:42 +0200

Eli,

Eli Zaretskii wrote:
>> Sometimes (once a day, I'd say), I get errors from (Cygwin's) Bash, when
>> Helm-for-files is running: I get a popup, click OK, and then Helm goes on.
>
> What does the error message say?

I'll copy it, when it occurs next time.

>> Except that I don't have a .gdbinit file for Emacs 24.1, and that
>> I've the impression that only Emacs 24.1 does hang from time to
>> time.
>
> That's not necessarily a problem.  Not having a .gdbinit just means
> you won't be able to use the Emacs-specific commands it defines.  For
> doing the trick with 'finish' in order to find where Emacs loops, this
> is not an issue.  Having a wrong .gdbinit file where you start GDB
> _is_ a problem.  So only use .gdbinit with the Emacs version it
> matches.

Thanks for hte info.

>> Should I take a snapshot from Emacs 24.1 on
>> http://alpha.gnu.org/gnu/emacs/windows/?  If yes, which one can I take: there
>> is no version indicated there... How can I know which file is a snapshot of
>> 24.1?
>
> 24.1 is the official release, so you don't need any snapshots of it.
> If you want to get its .gdbinit file, download the source distribution
> from ftp.gnu.org, and look in the src directory there.

I'll try it tomorrow.

>> Another question: before typing finish, do I do the other sequence as well:
>> 
>> - (continue),
>> - thread apply all backtrace, and
>> - xbacktrace?
>
> For an Emacs that is hung, no 'continue'.  And 'xbacktrace' will only
> work if you have a .gdbinit for that version of Emacs.
>
> Also, before you start with 'finish', you need to switch to the main
> thread.  This is usually thread 1, so you type
>
>   (gdb) thread 1
>
> and then start the 'finish' dance.
>
> To make sure thread 1 is the main thread, verify that "thread apply
> all backtrace" ends with the 'main' function for thread 1, like this:

Useful info!

>> Thread 1 (Thread 5552.0xb8c):
>> #0  0x7c91120f in ntdll!DbgUiConnectToDbg () from /cygdrive/c/WINDOWS/system32/ntdll.dll
>> [...]
>> #58 0x01004f54 in Frecursive_edit () at keyboard.c:846
>> #59 0x01002b68 in main (argc=1, argv=0xa43e18) at emacs.c:1655

My turn to give you something more. Just had 2 new crashes within Emacs 24.2
in just 5 minutes.

Here the backtraces:

--8<---------------cut here---------------start------------->8---
$ gdb -p 7300
GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-cygwin".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 7300
[New Thread 7300.0x19ac]
[New Thread 7300.0x26f8]
[New Thread 7300.0x1088]
[New Thread 7300.0x1fc4]
Reading symbols from /cygdrive/c/Program Files/Emacs-24.2/bin/emacs.exe...done.
Warning: /cygdrive/c/Program Files/Emacs-24.2/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = xterm-256color
Breakpoint 1 at 0x1154889: file w32fns.c, line 7200.
Temporary breakpoint 2 at 0x11449c9: file sysdep.c, line 819.
(gdb) continue
Continuing.

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 7300.0x19ac]
0x7c91120f in ntdll!DbgUiConnectToDbg () from /cygdrive/c/WINDOWS/system32/ntdll.dll
(gdb) thread apply all backtrace

Thread 3 (Thread 7300.0x1088):
#0  0x7c91e514 in ntdll!LdrAccessResource () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#1  0x7c91df5a in ntdll!ZwWaitForSingleObject () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#2  0x7c8025db in WaitForSingleObjectEx () from /cygdrive/c/WINDOWS/system32/kernel32.dll
#3  0x0000066c in ?? ()
#4  0x00000000 in ?? ()

Lisp Backtrace:
"eval" (0x82c104)
"redisplay" (0x82ea28)
"sit-for" (0x82ed28)
"isearch-lazy-highlight-new-loop" (0x82f028)
"isearch-update" (0x82f328)
"isearch-repeat" (0x82f628)
"isearch-repeat-forward" (0x82f944)
"call-interactively" (0x82fb54)

Thread 2 (Thread 7300.0x26f8):
#0  0x7c91e514 in ntdll!LdrAccessResource () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#1  0x7e3991be in USER32!GetProcessWindowStation () from /cygdrive/c/WINDOWS/system32/USER32.dll
#2  0x7e3991f1 in USER32!GetMessageW () from /cygdrive/c/WINDOWS/system32/USER32.dll
#3  0x011490bd in w32_msg_pump (msg_buf=0x7236ff54) at w32fns.c:2263
#4  0x011492fb in w32_msg_worker@4 (arg=0x0) at w32fns.c:2485
#5  0x7c80b729 in KERNEL32!GetModuleFileNameA () from /cygdrive/c/WINDOWS/system32/kernel32.dll
#6  0x00000000 in ?? ()

Lisp Backtrace:
"eval" (0x82c104)
"redisplay" (0x82ea28)
"sit-for" (0x82ed28)
"isearch-lazy-highlight-new-loop" (0x82f028)
"isearch-update" (0x82f328)
"isearch-repeat" (0x82f628)
"isearch-repeat-forward" (0x82f944)
"call-interactively" (0x82fb54)

Thread 1 (Thread 7300.0x19ac):
#0  0x7c91120f in ntdll!DbgUiConnectToDbg () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#1  0x011548c0 in emacs_abort () at w32fns.c:7214
#2  0x01055503 in sys_kill (pid=7300, sig=22) at w32proc.c:1432
#3  0x010014fc in fatal_error_backtrace (sig=22, backtrace_limit=2147483647) at emacs.c:331
#4  0x010431b7 in die (msg=0x1537030 "assertion failed: buffer->base_buffer->indirections > 0", file=0x1535810 "buffer.c",
    line=1664) at alloc.c:6398
#5  0x010ac068 in compact_buffer (buffer=0x5868c00) at buffer.c:1664
#6  0x0103fde2 in Fgarbage_collect () at alloc.c:5085
#7  0x0103997b in maybe_gc () at lisp.h:3637
---Type <return> to continue, or q <return> to quit---
#8  0x01036105 in Ffuncall (nargs=2, args=0x82c100) at eval.c:2747
#9  0x01032973 in internal_condition_case_n (bfun=0x1036042 <Ffuncall>, nargs=2, args=0x82c100, handlers=56346674,
    hfun=0x11e4053 <safe_eval_handler>) at eval.c:1432
#10 0x011e417e in safe_call (nargs=2, func=56449818) at xdisp.c:2457
#11 0x011e41bb in safe_call1 (fn=56449818, arg=58027374) at xdisp.c:2473
#12 0x011e41d7 in safe_eval (sexpr=58027374) at xdisp.c:2481
#13 0x01220a3b in display_mode_element (it=0x82c358, depth=3, field_width=0, precision=0, elt=58027382, props=56346650, risky=0)
    at xdisp.c:20752
#14 0x01220f7c in display_mode_element (it=0x82c358, depth=1, field_width=0, precision=0, elt=88751782, props=56346650, risky=0)
    at xdisp.c:20833
#15 0x0121f8d5 in display_mode_line (w=0x67bf790, face_id=MODE_LINE_FACE_ID, format=88751790) at xdisp.c:20350
#16 0x0121f5ad in display_mode_lines (w=0x67bf790) at xdisp.c:20292
#17 0x01210f08 in redisplay_window (window=108787605, just_this_one_p=0) at xdisp.c:16127
#18 0x01208e35 in redisplay_window_0 (window=108787605) at xdisp.c:13879
#19 0x01032787 in internal_condition_case_1 (bfun=0x1208dff <redisplay_window_0>, arg=108787605, handlers=56329326,
    hfun=0x1208ddb <redisplay_window_error>) at eval.c:1346
#20 0x01208dc2 in redisplay_windows (window=108787605) at xdisp.c:13859
#21 0x01208d0d in redisplay_windows (window=108787317) at xdisp.c:13851
#22 0x012071cc in redisplay_internal () at xdisp.c:13439
#23 0x012082da in redisplay_preserve_echo_area (from_where=2) at xdisp.c:13695
#24 0x010fbce0 in Fredisplay (force=56346650) at dispnew.c:6006
#25 0x010366a2 in Ffuncall (nargs=1, args=0x82ea24) at eval.c:2796
#26 0x010e0e77 in exec_byte_code (bytestr=20121401, vector=20121493, maxdepth=20, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#27 0x01037624 in funcall_lambda (fun=20121341, nargs=1, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#28 0x01036abd in Ffuncall (nargs=2, args=0x82ed24) at eval.c:2845
#29 0x010e0e77 in exec_byte_code (bytestr=20971105, vector=20971293, maxdepth=16, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#30 0x01037624 in funcall_lambda (fun=20971077, nargs=0, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#31 0x01036abd in Ffuncall (nargs=1, args=0x82f024) at eval.c:2845
#32 0x010e0e77 in exec_byte_code (bytestr=20944657, vector=20944837, maxdepth=20, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#33 0x01037624 in funcall_lambda (fun=20944629, nargs=0, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#34 0x01036abd in Ffuncall (nargs=1, args=0x82f324) at eval.c:2845
#35 0x010e0e77 in exec_byte_code (bytestr=20951329, vector=20951477, maxdepth=16, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#36 0x01037624 in funcall_lambda (fun=20951309, nargs=1, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#37 0x01036abd in Ffuncall (nargs=2, args=0x82f624) at eval.c:2845
#38 0x010e0e77 in exec_byte_code (bytestr=20155913, vector=20951701, maxdepth=8, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#39 0x01037624 in funcall_lambda (fun=20951653, nargs=0, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#40 0x01036abd in Ffuncall (nargs=1, args=0x82f940) at eval.c:2845
#41 0x01035dd8 in apply1 (fn=58996882, arg=56346650) at eval.c:2557
#42 0x010e4bed in Fcall_interactively (function=58996882, record_flag=56346650, keys=56368045) at callint.c:377
#43 0x0103677b in Ffuncall (nargs=4, args=0x82fb50) at eval.c:2803
#44 0x01035edb in call3 (fn=56457962, arg1=58996882, arg2=56346650, arg3=56346650) at eval.c:2621
#45 0x010207b2 in Fcommand_execute (cmd=58996882, record_flag=56346650, keys=56346650, special=56346650) at keyboard.c:10319
---Type <return> to continue, or q <return> to quit---
#46 0x010067de in command_loop_1 () at keyboard.c:1615
#47 0x0103269f in internal_condition_case (bfun=0x1005a97 <command_loop_1>, handlers=56397234, hfun=0x100526a <cmd_error>)
    at eval.c:1308
#48 0x010056c4 in command_loop_2 (ignore=56346650) at keyboard.c:1182
#49 0x010320bb in internal_catch (tag=56387090, func=0x10056a0 <command_loop_2>, arg=56346650) at eval.c:1069
#50 0x0100567e in command_loop () at keyboard.c:1161
#51 0x01004c27 in recursive_edit_1 () at keyboard.c:782
#52 0x01004f54 in Frecursive_edit () at keyboard.c:846
#53 0x01002b68 in main (argc=1, argv=0xa43e18) at emacs.c:1655

Lisp Backtrace:
"eval" (0x82c104)
"redisplay" (0x82ea28)
"sit-for" (0x82ed28)
"isearch-lazy-highlight-new-loop" (0x82f028)
"isearch-update" (0x82f328)
"isearch-repeat" (0x82f628)
"isearch-repeat-forward" (0x82f944)
"call-interactively" (0x82fb54)
(gdb)
(gdb) xbacktrace
"eval" (0x82c104)
"redisplay" (0x82ea28)
"sit-for" (0x82ed28)
"isearch-lazy-highlight-new-loop" (0x82f028)
"isearch-update" (0x82f328)
"isearch-repeat" (0x82f628)
"isearch-repeat-forward" (0x82f944)
"call-interactively" (0x82fb54)
(gdb)
"eval" (0x82c104)
"redisplay" (0x82ea28)
"sit-for" (0x82ed28)
"isearch-lazy-highlight-new-loop" (0x82f028)
"isearch-update" (0x82f328)
"isearch-repeat" (0x82f628)
"isearch-repeat-forward" (0x82f944)
"call-interactively" (0x82fb54)
(gdb) quit
A debugging session is active.

        Inferior 1 [process 7300] will be detached.

Quit anyway? (y or n) y
error return /netrel/src/gdb-7.5.50-1/gdb/windows-nat.c:1392 was 31
error return /netrel/src/gdb-7.5.50-1/gdb/windows-nat.c:1273 was 31
error return /netrel/src/gdb-7.5.50-1/gdb/windows-nat.c:1273 was 31
Quitting: Can't detach process 7300 (error 5)
--8<---------------cut here---------------end--------------->8---

and

--8<---------------cut here---------------start------------->8---
$ gdb -p 9840
GNU gdb (GDB) 7.5.50.20120815-cvs (cygwin-special)
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-cygwin".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 9840
[New Thread 9840.0x2554]
[New Thread 9840.0x1f38]
[New Thread 9840.0x1a34]
[New Thread 9840.0x20d0]
Reading symbols from /cygdrive/c/Program Files/Emacs-24.2/bin/emacs.exe...done.
Warning: /cygdrive/c/Program Files/Emacs-24.2/../lwlib: No such file or directory.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
Environment variable "DISPLAY" not defined.
TERM = xterm-256color
Breakpoint 1 at 0x1154889: file w32fns.c, line 7200.
Temporary breakpoint 2 at 0x11449c9: file sysdep.c, line 819.
(gdb) continue
Continuing.

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 9840.0x2554]
0x7c91120f in ntdll!DbgUiConnectToDbg () from /cygdrive/c/WINDOWS/system32/ntdll.dll
(gdb) thread apply all backtrace

Thread 3 (Thread 9840.0x1a34):
#0  0x7c91e514 in ntdll!LdrAccessResource () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#1  0x7c91df5a in ntdll!ZwWaitForSingleObject () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#2  0x7c8025db in WaitForSingleObjectEx () from /cygdrive/c/WINDOWS/system32/kernel32.dll
#3  0x00000610 in ?? ()
#4  0x00000000 in ?? ()

Lisp Backtrace:
"nnimap-parse-line" (0x82d4c8)
"nnimap-parse-response" (0x82d7c8)
"nnimap-get-response" (0x82dab8)
"nnimap-command" (0x82ddc8)
"nnimap-possibly-change-group" (0x82e0c8)
"nnimap-request-group" (0x82e3d8)
"gnus-request-group" (0x82e6d8)
"gnus-select-newsgroup" (0x82e9d8)
"gnus-summary-read-group-1" (0x82ecd8)
"gnus-summary-read-group" (0x82efe8)
"gnus-group-read-group" (0x82f2f8)
"gnus-group-select-group" (0x82f5e8)
"gnus-topic-select-group" (0x82f924)
"call-interactively" (0x82fb54)

Thread 2 (Thread 9840.0x1f38):
#0  0x7c91e514 in ntdll!LdrAccessResource () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#1  0x7e3991be in USER32!GetProcessWindowStation () from /cygdrive/c/WINDOWS/system32/USER32.dll
#2  0x7e3991f1 in USER32!GetMessageW () from /cygdrive/c/WINDOWS/system32/USER32.dll
#3  0x011490bd in w32_msg_pump (msg_buf=0x7236ff54) at w32fns.c:2263
#4  0x011492fb in w32_msg_worker@4 (arg=0x0) at w32fns.c:2485
#5  0x7c80b729 in KERNEL32!GetModuleFileNameA () from /cygdrive/c/WINDOWS/system32/kernel32.dll
#6  0x00000000 in ?? ()

Lisp Backtrace:
"nnimap-parse-line" (0x82d4c8)
"nnimap-parse-response" (0x82d7c8)
"nnimap-get-response" (0x82dab8)
"nnimap-command" (0x82ddc8)
"nnimap-possibly-change-group" (0x82e0c8)
"nnimap-request-group" (0x82e3d8)
"gnus-request-group" (0x82e6d8)
"gnus-select-newsgroup" (0x82e9d8)
"gnus-summary-read-group-1" (0x82ecd8)
"gnus-summary-read-group" (0x82efe8)
"gnus-group-read-group" (0x82f2f8)
"gnus-group-select-group" (0x82f5e8)
"gnus-topic-select-group" (0x82f924)
---Type <return> to continue, or q <return> to quit---
"call-interactively" (0x82fb54)

Thread 1 (Thread 9840.0x2554):
#0  0x7c91120f in ntdll!DbgUiConnectToDbg () from /cygdrive/c/WINDOWS/system32/ntdll.dll
#1  0x011548c0 in emacs_abort () at w32fns.c:7214
#2  0x01055503 in sys_kill (pid=9840, sig=22) at w32proc.c:1432
#3  0x010014fc in fatal_error_backtrace (sig=22, backtrace_limit=2147483647) at emacs.c:331
#4  0x010431b7 in die (msg=0x1537030 "assertion failed: buffer->base_buffer->indirections > 0", file=0x1535810 "buffer.c",
    line=1664) at alloc.c:6398
#5  0x010ac068 in compact_buffer (buffer=0x44cec00) at buffer.c:1664
#6  0x0103fde2 in Fgarbage_collect () at alloc.c:5085
#7  0x0103997b in maybe_gc () at lisp.h:3637
#8  0x010e0f83 in exec_byte_code (bytestr=66924881, vector=70166269, maxdepth=24, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:934
#9  0x01037624 in funcall_lambda (fun=70166373, nargs=1, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#10 0x01036abd in Ffuncall (nargs=2, args=0x82d4c4) at eval.c:2845
#11 0x010e0e77 in exec_byte_code (bytestr=66925281, vector=70166173, maxdepth=20, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#12 0x01037624 in funcall_lambda (fun=70166221, nargs=0, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#13 0x01036abd in Ffuncall (nargs=1, args=0x82d7c4) at eval.c:2845
#14 0x010e0e77 in exec_byte_code (bytestr=66907409, vector=70165765, maxdepth=8, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#15 0x01037624 in funcall_lambda (fun=70165789, nargs=1, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#16 0x01036abd in Ffuncall (nargs=2, args=0x82dab4) at eval.c:2845
#17 0x010e0e77 in exec_byte_code (bytestr=66907889, vector=70165661, maxdepth=32, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#18 0x01037624 in funcall_lambda (fun=70165741, nargs=2, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#19 0x01036abd in Ffuncall (nargs=3, args=0x82ddc4) at eval.c:2845
#20 0x010e0e77 in exec_byte_code (bytestr=66897329, vector=70165189, maxdepth=24, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#21 0x01037624 in funcall_lambda (fun=70165293, nargs=2, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#22 0x01036abd in Ffuncall (nargs=3, args=0x82e0c4) at eval.c:2845
#23 0x010e0e77 in exec_byte_code (bytestr=64247073, vector=70114773, maxdepth=32, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#24 0x01037624 in funcall_lambda (fun=70114965, nargs=4, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#25 0x01036abd in Ffuncall (nargs=5, args=0x82e3d4) at eval.c:2845
#26 0x010e0e77 in exec_byte_code (bytestr=63507569, vector=64322693, maxdepth=28, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#27 0x01037624 in funcall_lambda (fun=64323069, nargs=2, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#28 0x01036abd in Ffuncall (nargs=3, args=0x82e6d4) at eval.c:2845
#29 0x010e0e77 in exec_byte_code (bytestr=63105809, vector=65465533, maxdepth=28, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#30 0x01037624 in funcall_lambda (fun=65465981, nargs=3, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#31 0x01036abd in Ffuncall (nargs=4, args=0x82e9d4) at eval.c:2845
#32 0x010e0e77 in exec_byte_code (bytestr=62726577, vector=65386005, maxdepth=28, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#33 0x01037624 in funcall_lambda (fun=65386405, nargs=6, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
---Type <return> to continue, or q <return> to quit---
#34 0x01036abd in Ffuncall (nargs=7, args=0x82ecd4) at eval.c:2845
#35 0x010e0e77 in exec_byte_code (bytestr=62711969, vector=65385901, maxdepth=32, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#36 0x01037624 in funcall_lambda (fun=65385973, nargs=7, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#37 0x01036abd in Ffuncall (nargs=8, args=0x82efe4) at eval.c:2845
#38 0x010e0e77 in exec_byte_code (bytestr=62625489, vector=66507189, maxdepth=36, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#39 0x01037624 in funcall_lambda (fun=66507301, nargs=2, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#40 0x01036abd in Ffuncall (nargs=3, args=0x82f2f4) at eval.c:2845
#41 0x010e0e77 in exec_byte_code (bytestr=62624817, vector=66507333, maxdepth=12, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#42 0x01037624 in funcall_lambda (fun=66507365, nargs=1, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#43 0x01036abd in Ffuncall (nargs=2, args=0x82f5e4) at eval.c:2845
#44 0x010e0e77 in exec_byte_code (bytestr=72077585, vector=72062109, maxdepth=8, args_template=56346650, nargs=0, args=0x0)
    at bytecode.c:899
#45 0x01037624 in funcall_lambda (fun=72062157, nargs=1, arg_vector=0x35bc81a <__register_frame_info+56346650>) at eval.c:3028
#46 0x01036abd in Ffuncall (nargs=2, args=0x82f920) at eval.c:2845
#47 0x010e6918 in Fcall_interactively (function=65493042, record_flag=56346650, keys=56368045) at callint.c:852
#48 0x0103677b in Ffuncall (nargs=4, args=0x82fb50) at eval.c:2803
#49 0x01035edb in call3 (fn=56457962, arg1=65493042, arg2=56346650, arg3=56346650) at eval.c:2621
#50 0x010207b2 in Fcommand_execute (cmd=65493042, record_flag=56346650, keys=56346650, special=56346650) at keyboard.c:10319
#51 0x010067de in command_loop_1 () at keyboard.c:1615
#52 0x0103269f in internal_condition_case (bfun=0x1005a97 <command_loop_1>, handlers=56397234, hfun=0x100526a <cmd_error>)
    at eval.c:1308
#53 0x010056c4 in command_loop_2 (ignore=56346650) at keyboard.c:1182
#54 0x010320bb in internal_catch (tag=56387090, func=0x10056a0 <command_loop_2>, arg=56346650) at eval.c:1069
#55 0x0100567e in command_loop () at keyboard.c:1161
#56 0x01004c27 in recursive_edit_1 () at keyboard.c:782
#57 0x01004f54 in Frecursive_edit () at keyboard.c:846
#58 0x01002b68 in main (argc=1, argv=0xa43e18) at emacs.c:1655

Lisp Backtrace:
"nnimap-parse-line" (0x82d4c8)
"nnimap-parse-response" (0x82d7c8)
"nnimap-get-response" (0x82dab8)
"nnimap-command" (0x82ddc8)
"nnimap-possibly-change-group" (0x82e0c8)
"nnimap-request-group" (0x82e3d8)
"gnus-request-group" (0x82e6d8)
"gnus-select-newsgroup" (0x82e9d8)
"gnus-summary-read-group-1" (0x82ecd8)
"gnus-summary-read-group" (0x82efe8)
"gnus-group-read-group" (0x82f2f8)
"gnus-group-select-group" (0x82f5e8)
"gnus-topic-select-group" (0x82f924)
"call-interactively" (0x82fb54)
(gdb)
(gdb) xbacktrace
"nnimap-parse-line" (0x82d4c8)
"nnimap-parse-response" (0x82d7c8)
"nnimap-get-response" (0x82dab8)
"nnimap-command" (0x82ddc8)
"nnimap-possibly-change-group" (0x82e0c8)
"nnimap-request-group" (0x82e3d8)
"gnus-request-group" (0x82e6d8)
"gnus-select-newsgroup" (0x82e9d8)
"gnus-summary-read-group-1" (0x82ecd8)
"gnus-summary-read-group" (0x82efe8)
"gnus-group-read-group" (0x82f2f8)
"gnus-group-select-group" (0x82f5e8)
"gnus-topic-select-group" (0x82f924)
"call-interactively" (0x82fb54)
(gdb)
--8<---------------cut here---------------end--------------->8---

Best regards,
Fabrice

-- 
Fabrice Niessen
Pre-sales, Network and Software Engineer
M i s s i o n   C r i t i c a l   I T
✉ [email-masked]
☎ +32 2-757.10.15